- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libcdr::CDRSVGGenerator Class Reference

`#include <CDRSVGGenerator.h>`

Inheritance diagram for libcdr::CDRSVGGenerator:

## Public Member Functions
| CDRSVGGenerator (CDRStringVector &vec)
| ~CDRSVGGenerator ()
void | startGraphics (const ::WPXPropertyList &propList)
void | endGraphics ()
void | startLayer (const ::WPXPropertyList &propList)
void | endLayer ()
void | startEmbeddedGraphics (const ::WPXPropertyList &)
void | endEmbeddedGraphics ()
void | setStyle (const ::WPXPropertyList &propList, const ::WPXPropertyListVector &gradient)
void | drawRectangle (const ::WPXPropertyList &propList)
void | drawEllipse (const ::WPXPropertyList &propList)
void | drawPolyline (const ::WPXPropertyListVector &vertices)
void | drawPolygon (const ::WPXPropertyListVector &vertices)
void | drawPath (const ::WPXPropertyListVector &path)
void | drawGraphicObject (const ::WPXPropertyList &propList, const ::WPXBinaryData &binaryData)
void | startTextObject (const ::WPXPropertyList &propList, const ::WPXPropertyListVector &path)
void | endTextObject ()
void | startTextLine (const ::WPXPropertyList &)
void | endTextLine ()
void | startTextSpan (const ::WPXPropertyList &propList)
void | endTextSpan ()
void | insertText (const ::WPXString &str)

## Private Member Functions
void | writeStyle (bool isClosed=true)
void | drawPolySomething (const ::WPXPropertyListVector &vertices, bool isClosed)

## Private Attributes
::WPXPropertyListVector | m_gradient
::WPXPropertyList | m_style
int | m_gradientIndex
int | m_patternIndex
int | m_shadowIndex
std::ostringstream | m_outputSink
CDRStringVector & | m_vec

## Constructor & Destructor Documentation

libcdr::CDRSVGGenerator::CDRSVGGenerator | ( | libcdr::CDRStringVector & | vec | ) |

libcdr::CDRSVGGenerator::~CDRSVGGenerator | ( |  | ) |

## Member Function Documentation

void libcdr::CDRSVGGenerator::drawEllipse | ( | const ::WPXPropertyList & | propList | ) |

void libcdr::CDRSVGGenerator::drawGraphicObject | ( | const ::WPXPropertyList & | propList,
|  | const ::WPXBinaryData & | binaryData
| ) |  |

void libcdr::CDRSVGGenerator::drawPath | ( | const ::WPXPropertyListVector & | path | ) |

void libcdr::CDRSVGGenerator::drawPolygon | ( | const ::WPXPropertyListVector & | vertices | ) |

void libcdr::CDRSVGGenerator::drawPolyline | ( | const ::WPXPropertyListVector & | vertices | ) |

void libcdr::CDRSVGGenerator::drawPolySomething | ( | const ::WPXPropertyListVector & | vertices,
|  | bool | isClosed
| ) |  |
| private

void libcdr::CDRSVGGenerator::drawRectangle | ( | const ::WPXPropertyList & | propList | ) |

void libcdr::CDRSVGGenerator::endEmbeddedGraphics | ( |  | ) |
| inline

void libcdr::CDRSVGGenerator::endGraphics | ( |  | ) |

void libcdr::CDRSVGGenerator::endLayer | ( |  | ) |

void libcdr::CDRSVGGenerator::endTextLine | ( |  | ) |
| inline

void libcdr::CDRSVGGenerator::endTextObject | ( |  | ) |

void libcdr::CDRSVGGenerator::endTextSpan | ( |  | ) |

void libcdr::CDRSVGGenerator::insertText | ( | const ::WPXString & | str | ) |

void libcdr::CDRSVGGenerator::setStyle | ( | const ::WPXPropertyList & | propList,
|  | const ::WPXPropertyListVector & | gradient
| ) |  |

void libcdr::CDRSVGGenerator::startEmbeddedGraphics | ( | const ::WPXPropertyList & |  | ) |
| inline

void libcdr::CDRSVGGenerator::startGraphics | ( | const ::WPXPropertyList & | propList | ) |

void libcdr::CDRSVGGenerator::startLayer | ( | const ::WPXPropertyList & | propList | ) |

void libcdr::CDRSVGGenerator::startTextLine | ( | const ::WPXPropertyList & |  | ) |
| inline

void libcdr::CDRSVGGenerator::startTextObject | ( | const ::WPXPropertyList & | propList,
|  | const ::WPXPropertyListVector & | path
| ) |  |

void libcdr::CDRSVGGenerator::startTextSpan | ( | const ::WPXPropertyList & | propList | ) |

void libcdr::CDRSVGGenerator::writeStyle | ( | bool | isClosed = `true` | ) |
| private

## Member Data Documentation

::WPXPropertyListVector libcdr::CDRSVGGenerator::m_gradient
| private

int libcdr::CDRSVGGenerator::m_gradientIndex
| private

std::ostringstream libcdr::CDRSVGGenerator::m_outputSink
| private

int libcdr::CDRSVGGenerator::m_patternIndex
| private

int libcdr::CDRSVGGenerator::m_shadowIndex
| private

::WPXPropertyList libcdr::CDRSVGGenerator::m_style
| private

CDRStringVector& libcdr::CDRSVGGenerator::m_vec
| private

The documentation for this class was generated from the following files:

- CDRSVGGenerator.h
- CDRSVGGenerator.cpp